//
//  XTHtmlTagH3.m
//  TadsTerp
//
//  Created by Rune Berg on 18/04/14.
//  Copyright (c) 2014 Rune Berg. All rights reserved.
//

#import "XTHtmlTagH3.h"
#import "XTOutputFormatterProtocol.h"


@implementation XTHtmlTagH3

+ (NSString *)name
{
	return @"h3";
}

+ (NSArray *)allowedAttributes
{
	return @[];
}

+ (BOOL)standalone
{
	return NO;
}

+ (BOOL)blockLevel
{
	return YES;
}

+ (BOOL)blockLevelSpacing
{
	return YES;
}

- (NSArray *)dispatchToFormatter:(NSObject<XTOutputFormatterProtocol> *)formatter
{
	return [formatter handleHtmlTagH3:self];
}

@end
